if (typeof WEBUILDER_SCRIPTS == 'undefined') {
  WEBUILDER_SCRIPTS = {};
}

WeBuilder_OnData = function(data1, data2) {
  var scriptidx = data1;
  var i = data1.indexOf(':');
  if (i !== -1) {
    scriptidx = data1.substring(0, i);
  }
  if (WEBUILDER_SCRIPTS[scriptidx]) {
    WEBUILDER_SCRIPTS[scriptidx](data1, data2);        
  }
}